@font-face {
    font-family: "BlinkMac";
    src: url("fonts/BlinkMacSystemFont-Light.woff") format("woff");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}
@theme {
    --color-primary: #dd1a57;
    --font-sans: "Jost", sans-serif;
    --breakpoint-2xl: 1280px;
}
@layer base {
    html {
        @apply scroll-smooth;
    }
    body {
        @apply font-sans;
    }
}


#sidebar.fixed {
    position: fixed;
    top: 90px; /* Header height */
}

#sidebar.absolute {
    position: absolute;
    bottom: 0;
}
/* ===== HEADER & MEGA MENU ===== */
.nav-item {
    position: static;
}
.mega-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #fff;
    z-index: 9999;
    box-shadow: 0px 15px 39px 0px rgba(0, 0, 0, 0.29);
    border-radius: 10px;
    border: 1px solid rgba(237, 237, 237, 1);
}
.nav-item:hover .mega-menu {
    display: block;
}
.mega-menu-inner {
    padding: 18px 0 0 80px;
    width: 100%;
}
.mega-col:first-child {
    padding-left: 0;
}
.mega-col:nth-child(3n) {
    border-right: none;
}
.mega-menu-heading {
    font-size: 18px;
    font-weight: 500;
    color: #000;
    margin-bottom: 16px;
}
.mega-menu-body {
    display: flex;
    align-items: flex-start;
    gap: 0;
}
.mega-col {
    padding: 0 28px 0 0;
    min-width: 226px;
    border-right: 1px solid #e8e8e8;
    margin-right: 28px;
}
.mega-col:last-of-type {
    border-right: none;
    margin-right: 0;
}
/* .mega-col-title {
    font-size: 13px;
    font-weight: 700;
    color: #111;
    margin-bottom: 10px;
  } */
.mega-col a {
    display: block;
    font-size: 16px;
    font-weight: 400;
    color: #4f4f4f;
    padding: 5px 0;
    text-decoration: none;
    transition: color 0.15s;
}
.mega-col a:hover {
    color: #ff015b;
}
.mega-img-col {
    width: 360px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 12px;
    background: #fff0f5;
    margin-top: -60px;
    border-left: 1px solid rgba(237, 237, 237, 1);
    border-radius: 0 10px 10px 10px;
}
.mega-img-col img {
    width: 100%;
    border-radius: 6px;
    object-fit: cover;
    height: 120px;
}
.mega-col {
    padding: 0 20px;
    border-right: 1px solid #f0f0f0;
    min-width: 230px;
}
.mega-col:last-of-type {
    border-right: none;
}
.mega-col-title {
    font-size: 14px;
    font-weight: 500;
    color: #000;
    margin-bottom: 14px;
    letter-spacing: 0;
}
/* .mega-col a {
    display: block;
    font-size: 14px;
    color: #444;
    padding: 5px 0;
    text-decoration: none;
    transition: color 0.15s;
  }
  .mega-col a:hover { color: #FF015B; } */
        /* .mega-img-col {
    width: 220px;
    flex-shrink: 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
    padding: 12px;
    background: #fafafa;
  } */
        /* .mega-img-col img {
    width: 100%;
    border-radius: 6px;
    object-fit: cover;
  } */
.nav-link {
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 8px 4px;
    font-size: 15px;
    font-weight: 400;
    color: #314e55;
    transition: color 0.2s;
    white-space: nowrap;
    cursor: pointer;
    position: relative;
}
.nav-link:hover,
.nav-item:hover > .nav-link {
    color: #ff015b;
}
.nav-link.active {
    color: #ff015b;
}
.nav-link.active::after {
    content: "";
    position: absolute;
    bottom: -15px;
    left: 0;
    right: 0;
    height: 2px;
    background: #ff015b;
    border-radius: 2px;
}
.nav-link .nav-icon {
    font-size: 13px;
    color: #ff015b;
}
/* mobile menu */
#mobile-menu {
    display: none !important;
}
#mobile-menu.open {
    display: block !important;
}
/* ===== END HEADER ===== */

.wedding-slider .owl-stage {
    display: flex;
    align-items: stretch;
}
.wedding-slider .owl-item {
    display: flex;
}
.wedding-slider .item {
    padding: 0 10px;
    display: flex;
    width: 100%;
}
.wedding-slider .item a {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}
.wedding-slider .item h3 {
    flex: 1;
    display: flex;
    align-items: flex-start;
    justify-content: center;
}
.wedding-slider .owl-nav {
    margin: 0;
}
.wedding-slider .owl-prev,
.wedding-slider .owl-next {
    position: absolute;
    top: 35%;
    transform: translateY(-50%);
    width: 35px;
    height: 35px;
    border-radius: 50% !important;
    background: #fff !important;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    font-size: 15px !important;
    line-height: 35px !important;
    color: #111 !important;
    transition: 0.3s;
}
.wedding-slider .owl-prev:hover,
.wedding-slider .owl-next:hover {
    background: #ec4899 !important;
    color: #fff !important;
}
.wedding-slider .owl-prev {
    left: -4px;
}
.wedding-slider .owl-next {
    right: -4px;
}
.wedding-slider .owl-nav span {
    position: relative;
    top: -3px;
}

.mega-menu:before{
    content: '';
    width: 100%;
    height: 38px;
    position: absolute;
    left: 0;
    top: -30px;
}

/*#latest-posts ul.page-numbers {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}
#latest-posts ul.page-numbers li {
    width: 45px;
    height: 45px;
    border: none;
    border-radius: 50%;
    background-color: #E8E8E8;
    color: #fff;
    font-weight: 700;
    font-size: 12px;
    cursor: pointer;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #323232;
    font-weight: bold;
}
#latest-posts ul.page-numbers li.current {
    background-color: #ff015b;
    color: #fff;
}*/

#pagination{
    margin:60px 0;
    display:flex;
    justify-content:center;
}

#pagination .page-numbers{
    display:flex;
    align-items:center;
    gap:12px;
    list-style:none;
    padding:0;
    margin:0;
}

#pagination .page-numbers li{
    list-style:none;
}

#pagination .page-numbers a,
#pagination .page-numbers span{
    width:48px;
    height:48px;
    display:flex;
    align-items:center;
    justify-content:center;
    border-radius:50%;
    text-decoration:none;
    font-size:18px;
    font-weight:600;
    background:#F1F2F5;
    color:#555;
    transition:.3s;
}

/* Current Page */
#latest-posts #pagination .page-numbers .current{
    background:#ff0066;
    color:#fff;
    box-shadow:0 8px 20px rgba(255,0,102,.35);
}

/* Hover */
#latest-posts #pagination .page-numbers a:hover{
    background:#ff0066;
    color:#fff;
}

/* Dots */
#latest-posts #pagination .page-numbers .dots{
    width:auto;
    background:transparent;
    color:#888;
    font-size:24px;
}

/* Prev & Next */
#latest-posts #pagination .prev,
#latest-posts #pagination .next{
    font-size:22px;
    font-weight:bold;
}

#latest-posts .page-numbers .prev,
#latest-posts .page-numbers .next {
    font-size: 0;
}


#latest-posts #pagination li {
    cursor: pointer;
}

#latest-posts #pagination li a,
#latest-posts #pagination li span {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 48px;
    height: 48px;
}


@media (max-width:1199px) {
    .nav-link {
        font-size: 14px;
    }
}